For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet an entity's bank accounts
      • POSTCreate an entity bank account
      • GETGet an entity's bank account
      • DELDelete an entity's bank account
      • PATCHUpdate an entity's bank account
      • POSTSet an entity's bank account as the default for its currency
      • POSTVerify an entity bank account
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity bank accounts

Get an entity's bank accounts

GET
/bank_accounts
GET
/v1/bank_accounts
$curl https://api.sandbox.monite.com/v1/bank_accounts \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "open_banking_verification_status": "not_verified",
6 "account_holder_name": "Cayla Lloyd",
7 "account_number": "12345678",
8 "account_number_last4": "5678",
9 "bank_name": "Deutsche Bank",
10 "bic": "DEUTDEFFXXX",
11 "country": "AF",
12 "currency": "AED",
13 "display_name": "Primary account",
14 "iban": "DE74500700100100000900",
15 "is_default_for_currency": true,
16 "open_banking_verification_error": "open_banking_verification_error",
17 "routing_number": "routing_number",
18 "sort_code": "123456",
19 "was_created_by_user_id": "was_created_by_user_id"
20 }
21 ],
22 "next_pagination_token": "next_pagination_token",
23 "prev_pagination_token": "prev_pagination_token"
24}
Get all bank accounts of this entity.
Was this page helpful?
Previous

Create an entity bank account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects
A list of an entity's bank accounts.
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

401
Get Bank Accounts Request Unauthorized Error
409
Get Bank Accounts Request Conflict Error
422
Get Bank Accounts Request Unprocessable Entity Error
429
Get Bank Accounts Request Too Many Requests Error